Subject: Re: error running container: mingetty cannot find ttys

From: Efraim Flashner <[email-masked]>
Date: Sat, 26 Jan 2019 21:21:51 +0200

On Fri, Jan 25, 2019 at 06:46:48PM +0100, Giovanni Biscuolo wrote:
> Hi guix!
> 
> I'm experimenting with my first "system container": it builds but it
> fails running
> 
> I build the container using this operating system definition:

> 
> --8<---------------cut here---------------start------------->8---
> $ guix system container ../labs/configuration/container-minimal.scm -r container-minimal
> /localhome/g/guix/labs/configuration/container-minimal.scm:41:19: warning: 'dhcp-client-service' is deprecated, use 'dhcp-client-service-type' instead
> guix system: warning: Your Guix installation is 9 days old.
> guix system: warning: Consider running 'guix pull' followed by
> 'guix system reconfigure' to get up-to-date packages and security updates.
> 
> /gnu/store/n3577q00rwzccbc50cqhlwhsnkpd1lrr-run-container
> --8<---------------cut here---------------end--------------->8---
> 
> then I start the container as root
> 
> --8<---------------cut here---------------start------------->8---
> $ sudo -E ./container-minimal 
> [sudo] password for g: 
> making '/gnu/store/5px51fc8nspwkhni8kprpxcjl6mxznd5-system' the current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/0a7gn00mqzg5kyrwwd9dyjyvan9vlxsa-etc...
> adding user 'root'...
> adding group 'root'...
> adding group 'wheel'...
> adding group 'users'...
> adding group 'nogroup'...
> adding group 'tty'...
> adding group 'dialout'...
> adding group 'kmem'...
> adding group 'input'...
> adding group 'video'...
> adding group 'audio'...
> adding group 'netdev'...
> adding group 'lp'...
> adding group 'disk'...
> adding group 'floppy'...
> adding group 'cdrom'...
> adding group 'tape'...
> adding group 'kvm'...
> adding group 'guixbuild'...
> adding group 'sshd'...
> usermod: no changes
> adding user 'gbiscuolo'...
> adding user 'nobody'...
> adding user 'guixbuilder01'...
> adding user 'guixbuilder02'...
> adding user 'guixbuilder03'...
> adding user 'guixbuilder04'...
> adding user 'guixbuilder05'...
> adding user 'guixbuilder06'...
> adding user 'guixbuilder07'...
> adding user 'guixbuilder08'...
> adding user 'guixbuilder09'...
> adding user 'guixbuilder10'...
> adding user 'sshd'...
> registering public key '/gnu/store/vv1kkj9aqpv1akk7l7vp2kkd695wgxcr-guix-0.16.0-8.7ba2b27/share/guix/hydra.gnu.org.pub'...
> registering public key '/gnu/store/vv1kkj9aqpv1akk7l7vp2kkd695wgxcr-guix-0.16.0-8.7ba2b27/share/guix/berlin.guixsd.org.pub'...
> `/gnu/store/cyh3fv8fi86nx4pw8gh4r4hdzi5w31cm-openssh-authorized-keys/gbiscuolo' -> `/etc/ssh/authorized_keys.d/gbiscuolo'
> ssh-keygen: generating new host keys: RSA DSA ECDSA ED25519 
> nscd: 178 monitoring file `/etc/hosts` (1)
> nscd: 178 monitoring directory `/etc` (2)
> nscd: 178 monitoring file `/etc/resolv.conf` (3)
> nscd: 178 monitoring directory `/etc` (2)
> nscd: 178 monitoring file `/etc/services` (4)
> nscd: 178 monitoring directory `/etc` (2)
> failed to start service 'console-font-tty1'
> failed to start service 'console-font-tty2'
> failed to start service 'console-font-tty3'
> failed to start service 'console-font-tty4'
> failed to start service 'console-font-tty5'
> failed to start service 'console-font-tty6'
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[191]: tty5: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[190]: tty6: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[193]: tty3: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[194]: tty2: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[195]: tty1: No such file or directory
> Jan 25 18:30:37 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[192]: tty4: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[200]: tty6: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[202]: tty4: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[201]: tty5: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[204]: tty2: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[205]: tty1: No such file or directory
> Jan 25 18:30:43 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[203]: tty3: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[206]: tty6: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[207]: tty4: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[208]: tty5: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[210]: tty2: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[211]: tty1: No such file or directory
> Jan 25 18:30:48 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[212]: tty3: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[213]: tty6: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[214]: tty5: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[216]: tty2: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[217]: tty1: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[218]: tty3: No such file or directory
> Jan 25 18:30:53 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[219]: tty4: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[220]: tty6: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[221]: tty5: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[222]: tty1: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[223]: tty2: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[224]: tty3: No such file or directory
> Jan 25 18:30:58 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[225]: tty4: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[226]: tty6: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[227]: tty5: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[230]: tty2: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[231]: tty3: No such file or directory
> Jan 25 18:31:03 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[232]: tty4: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[234]: tty5: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[235]: tty2: No such file or directory
> Jan 25 18:31:08 localhost /gnu/store/mbq93mr1vbs6za0n0yn32gfsyq1wx6xf-mingetty-1.08/sbin/mingetty[236]: tty3: No such file or directory
> --8<---------------cut here---------------end--------------->8---
> 
> it loops indefinitely, I have to ^C it to stop it
> 
> any hint please?
> 
> Thanks!
> Giovanni
> 
I tested the config (after removing the references to your ssh key) on
commit fc9c47bd7cdfd6265681e6b2c48fdb7889672bcc and I got the same
issue. Forwarding on to bug-guix

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted